---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Gui Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Gui.html">Gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1Gui-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Gui Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> class.  
 <a href="classtgui_1_1Gui.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Gui_8hpp_source.html">Gui.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a50f9bf863bc443a6ae8add6e7a8ec7c9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a50f9bf863bc443a6ae8add6e7a8ec7c9">Gui</a> ()</td></tr>
<tr class="memdesc:a50f9bf863bc443a6ae8add6e7a8ec7c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a50f9bf863bc443a6ae8add6e7a8ec7c9">More...</a><br /></td></tr>
<tr class="separator:a50f9bf863bc443a6ae8add6e7a8ec7c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf97d08aeedabec1fb61a01f87b6fa14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#abf97d08aeedabec1fb61a01f87b6fa14">Gui</a> (sf::RenderWindow &amp;window)</td></tr>
<tr class="memdesc:abf97d08aeedabec1fb61a01f87b6fa14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the gui and set the window on which the gui should be drawn.  <a href="#abf97d08aeedabec1fb61a01f87b6fa14">More...</a><br /></td></tr>
<tr class="separator:abf97d08aeedabec1fb61a01f87b6fa14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa555f782ab60f3d521775688f8b23c14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aa555f782ab60f3d521775688f8b23c14">Gui</a> (sf::RenderTarget &amp;window)</td></tr>
<tr class="memdesc:aa555f782ab60f3d521775688f8b23c14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct the gui and set the target on which the gui should be drawn.  <a href="#aa555f782ab60f3d521775688f8b23c14">More...</a><br /></td></tr>
<tr class="separator:aa555f782ab60f3d521775688f8b23c14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118ec1b31e08afff8515b3bdd68e48f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a118ec1b31e08afff8515b3bdd68e48f2">setWindow</a> (sf::RenderWindow &amp;window)</td></tr>
<tr class="memdesc:a118ec1b31e08afff8515b3bdd68e48f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the window on which the gui should be drawn.  <a href="#a118ec1b31e08afff8515b3bdd68e48f2">More...</a><br /></td></tr>
<tr class="separator:a118ec1b31e08afff8515b3bdd68e48f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d46c749e4265e60e3c39c819dea8892"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a0d46c749e4265e60e3c39c819dea8892">setWindow</a> (sf::RenderTarget &amp;window)</td></tr>
<tr class="memdesc:a0d46c749e4265e60e3c39c819dea8892"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the target on which the gui should be drawn.  <a href="#a0d46c749e4265e60e3c39c819dea8892">More...</a><br /></td></tr>
<tr class="separator:a0d46c749e4265e60e3c39c819dea8892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac968ab34c19372610c1dfc362d6cbf8d"><td class="memItemLeft" align="right" valign="top">sf::RenderTarget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#ac968ab34c19372610c1dfc362d6cbf8d">getWindow</a> () const </td></tr>
<tr class="memdesc:ac968ab34c19372610c1dfc362d6cbf8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the window on which the gui is being drawn.  <a href="#ac968ab34c19372610c1dfc362d6cbf8d">More...</a><br /></td></tr>
<tr class="separator:ac968ab34c19372610c1dfc362d6cbf8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ed139560029cc70925480927f88080"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#ac7ed139560029cc70925480927f88080">setView</a> (const sf::View &amp;view)</td></tr>
<tr class="memdesc:ac7ed139560029cc70925480927f88080"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the view that is used by the gui.  <a href="#ac7ed139560029cc70925480927f88080">More...</a><br /></td></tr>
<tr class="separator:ac7ed139560029cc70925480927f88080"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3236260f92852e7aec64053cbbe48a5e"><td class="memItemLeft" align="right" valign="top">const sf::View &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a3236260f92852e7aec64053cbbe48a5e">getView</a> () const </td></tr>
<tr class="memdesc:a3236260f92852e7aec64053cbbe48a5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the view that is currently used by the gui.  <a href="#a3236260f92852e7aec64053cbbe48a5e">More...</a><br /></td></tr>
<tr class="separator:a3236260f92852e7aec64053cbbe48a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed041b03290df56b6fa965363972f3d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a5ed041b03290df56b6fa965363972f3d">handleEvent</a> (sf::Event event)</td></tr>
<tr class="memdesc:a5ed041b03290df56b6fa965363972f3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Passes the event to the widgets.  <a href="#a5ed041b03290df56b6fa965363972f3d">More...</a><br /></td></tr>
<tr class="separator:a5ed041b03290df56b6fa965363972f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a37251fe94d7ac1c14454c9b974b10c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a37251fe94d7ac1c14454c9b974b10c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a0a37251fe94d7ac1c14454c9b974b10c">draw</a> ()</td></tr>
<tr class="memdesc:a0a37251fe94d7ac1c14454c9b974b10c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Draws all the widgets that were added to the gui. <br /></td></tr>
<tr class="separator:a0a37251fe94d7ac1c14454c9b974b10c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c2146e3f595e0b7292e0e73988458cf"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a8c2146e3f595e0b7292e0e73988458cf">getSize</a> () const </td></tr>
<tr class="memdesc:a8c2146e3f595e0b7292e0e73988458cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the container.  <a href="#a8c2146e3f595e0b7292e0e73988458cf">More...</a><br /></td></tr>
<tr class="separator:a8c2146e3f595e0b7292e0e73988458cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cc9222250b244d4f22b431029fb2c3b"><td class="memItemLeft" align="right" valign="top">GuiContainer::Ptr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a7cc9222250b244d4f22b431029fb2c3b">getContainer</a> () const </td></tr>
<tr class="memdesc:a7cc9222250b244d4f22b431029fb2c3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the internal container of the <a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a>.  <a href="#a7cc9222250b244d4f22b431029fb2c3b">More...</a><br /></td></tr>
<tr class="separator:a7cc9222250b244d4f22b431029fb2c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d523a7652ffa674c0c13ae967dba076"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a4d523a7652ffa674c0c13ae967dba076">setFont</a> (const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;font)</td></tr>
<tr class="memdesc:a4d523a7652ffa674c0c13ae967dba076"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the global font.  <a href="#a4d523a7652ffa674c0c13ae967dba076">More...</a><br /></td></tr>
<tr class="separator:a4d523a7652ffa674c0c13ae967dba076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01c60c6456474c790f8178cd9a0a0a14"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a01c60c6456474c790f8178cd9a0a0a14">getFont</a> () const </td></tr>
<tr class="memdesc:a01c60c6456474c790f8178cd9a0a0a14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the global font.  <a href="#a01c60c6456474c790f8178cd9a0a0a14">More...</a><br /></td></tr>
<tr class="separator:a01c60c6456474c790f8178cd9a0a0a14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa444668dc32aee8e867566feb74729ca"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aa444668dc32aee8e867566feb74729ca">getWidgets</a> ()</td></tr>
<tr class="memdesc:aa444668dc32aee8e867566feb74729ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a list of all the widgets.  <a href="#aa444668dc32aee8e867566feb74729ca">More...</a><br /></td></tr>
<tr class="separator:aa444668dc32aee8e867566feb74729ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8995a6274ed0a09bb8f42a11dc06abd"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; sf::String &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#ab8995a6274ed0a09bb8f42a11dc06abd">getWidgetNames</a> ()</td></tr>
<tr class="memdesc:ab8995a6274ed0a09bb8f42a11dc06abd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a list of the names of all the widgets.  <a href="#ab8995a6274ed0a09bb8f42a11dc06abd">More...</a><br /></td></tr>
<tr class="separator:ab8995a6274ed0a09bb8f42a11dc06abd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5148777e159aed6d08dca0602cf79da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aa5148777e159aed6d08dca0602cf79da">add</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widgetPtr, const sf::String &amp;widgetName=&quot;&quot;)</td></tr>
<tr class="memdesc:aa5148777e159aed6d08dca0602cf79da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a widget to the container.  <a href="#aa5148777e159aed6d08dca0602cf79da">More...</a><br /></td></tr>
<tr class="separator:aa5148777e159aed6d08dca0602cf79da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81bc7a04400ef54b1610604de7032fbc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a81bc7a04400ef54b1610604de7032fbc">get</a> (const sf::String &amp;widgetName, bool recursive=false) const </td></tr>
<tr class="memdesc:a81bc7a04400ef54b1610604de7032fbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to an earlier created widget.  <a href="#a81bc7a04400ef54b1610604de7032fbc">More...</a><br /></td></tr>
<tr class="separator:a81bc7a04400ef54b1610604de7032fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09adca672824a85fc8d8e39daae23438"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a09adca672824a85fc8d8e39daae23438"><td class="memTemplItemLeft" align="right" valign="top">T::Ptr&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a09adca672824a85fc8d8e39daae23438">get</a> (const sf::String &amp;widgetName, bool recursive=false) const </td></tr>
<tr class="memdesc:a09adca672824a85fc8d8e39daae23438"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to an earlier created widget.  <a href="#a09adca672824a85fc8d8e39daae23438">More...</a><br /></td></tr>
<tr class="separator:a09adca672824a85fc8d8e39daae23438"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefa11eac30068c5a795a0a4f6822af7d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aefa11eac30068c5a795a0a4f6822af7d">remove</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget)</td></tr>
<tr class="memdesc:aefa11eac30068c5a795a0a4f6822af7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a single widget that was added to the container.  <a href="#aefa11eac30068c5a795a0a4f6822af7d">More...</a><br /></td></tr>
<tr class="separator:aefa11eac30068c5a795a0a4f6822af7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc0e30cd5ccec51b1371ed6caffd5e45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc0e30cd5ccec51b1371ed6caffd5e45"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#afc0e30cd5ccec51b1371ed6caffd5e45">removeAllWidgets</a> ()</td></tr>
<tr class="memdesc:afc0e30cd5ccec51b1371ed6caffd5e45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all widgets that were added to the container. <br /></td></tr>
<tr class="separator:afc0e30cd5ccec51b1371ed6caffd5e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a4d61aad8239596e2170bc24520ab50"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a7a4d61aad8239596e2170bc24520ab50">setWidgetName</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget, const std::string &amp;name)</td></tr>
<tr class="memdesc:a7a4d61aad8239596e2170bc24520ab50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the name of a widget.  <a href="#a7a4d61aad8239596e2170bc24520ab50">More...</a><br /></td></tr>
<tr class="separator:a7a4d61aad8239596e2170bc24520ab50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef2d8ef0c4b04bcc4af83d0a4515dc56"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aef2d8ef0c4b04bcc4af83d0a4515dc56">getWidgetName</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget) const </td></tr>
<tr class="memdesc:aef2d8ef0c4b04bcc4af83d0a4515dc56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of a widget.  <a href="#aef2d8ef0c4b04bcc4af83d0a4515dc56">More...</a><br /></td></tr>
<tr class="separator:aef2d8ef0c4b04bcc4af83d0a4515dc56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7256b8805756720f8ca7105b48e243fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a7256b8805756720f8ca7105b48e243fb">focusWidget</a> (const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;widget)</td></tr>
<tr class="memdesc:a7256b8805756720f8ca7105b48e243fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses a widget.  <a href="#a7256b8805756720f8ca7105b48e243fb">More...</a><br /></td></tr>
<tr class="separator:a7256b8805756720f8ca7105b48e243fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7143950d0a28701f52a837a3377686"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aae7143950d0a28701f52a837a3377686">focusNextWidget</a> ()</td></tr>
<tr class="memdesc:aae7143950d0a28701f52a837a3377686"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses the next widget.  <a href="#aae7143950d0a28701f52a837a3377686">More...</a><br /></td></tr>
<tr class="separator:aae7143950d0a28701f52a837a3377686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca075164dc3b0d376de6759c3a4ba70d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#aca075164dc3b0d376de6759c3a4ba70d">focusPreviousWidget</a> ()</td></tr>
<tr class="memdesc:aca075164dc3b0d376de6759c3a4ba70d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focuses the previous widget.  <a href="#aca075164dc3b0d376de6759c3a4ba70d">More...</a><br /></td></tr>
<tr class="separator:aca075164dc3b0d376de6759c3a4ba70d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a903b71fdd0164c243b2dd6878a623f63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a903b71fdd0164c243b2dd6878a623f63"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a903b71fdd0164c243b2dd6878a623f63">unfocusWidgets</a> ()</td></tr>
<tr class="memdesc:a903b71fdd0164c243b2dd6878a623f63"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus all the widgets. <br /></td></tr>
<tr class="separator:a903b71fdd0164c243b2dd6878a623f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc84356ca88d3318bc9ef38055f6cc2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbc84356ca88d3318bc9ef38055f6cc2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#acbc84356ca88d3318bc9ef38055f6cc2">uncheckRadioButtons</a> ()</td></tr>
<tr class="memdesc:acbc84356ca88d3318bc9ef38055f6cc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Uncheck all the radio buttons. <br /></td></tr>
<tr class="separator:acbc84356ca88d3318bc9ef38055f6cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66acac9b2665c9f8fc2e7824d10deb41"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a66acac9b2665c9f8fc2e7824d10deb41">setOpacity</a> (float opacity)</td></tr>
<tr class="memdesc:a66acac9b2665c9f8fc2e7824d10deb41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the opacity of all widgets.  <a href="#a66acac9b2665c9f8fc2e7824d10deb41">More...</a><br /></td></tr>
<tr class="separator:a66acac9b2665c9f8fc2e7824d10deb41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a495d7039a1e13a37e2c6f5965dee8953"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a495d7039a1e13a37e2c6f5965dee8953">getOpacity</a> () const </td></tr>
<tr class="memdesc:a495d7039a1e13a37e2c6f5965dee8953"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the opacity of all the widgets.  <a href="#a495d7039a1e13a37e2c6f5965dee8953">More...</a><br /></td></tr>
<tr class="separator:a495d7039a1e13a37e2c6f5965dee8953"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1f254ca81fb64140e95164a17f0d6e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#ac1f254ca81fb64140e95164a17f0d6e0">loadWidgetsFromFile</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:ac1f254ca81fb64140e95164a17f0d6e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the child widgets from a text file.  <a href="#ac1f254ca81fb64140e95164a17f0d6e0">More...</a><br /></td></tr>
<tr class="separator:ac1f254ca81fb64140e95164a17f0d6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e99d5535db1148727f075046dd08fdb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a6e99d5535db1148727f075046dd08fdb">saveWidgetsToFile</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:a6e99d5535db1148727f075046dd08fdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save the child widgets to a text file.  <a href="#a6e99d5535db1148727f075046dd08fdb">More...</a><br /></td></tr>
<tr class="separator:a6e99d5535db1148727f075046dd08fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89cf1a00c7e8125c81414e1952ea6807"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a89cf1a00c7e8125c81414e1952ea6807">loadWidgetsFromStream</a> (std::stringstream &amp;stream)</td></tr>
<tr class="memdesc:a89cf1a00c7e8125c81414e1952ea6807"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load the child widgets from a string stream.  <a href="#a89cf1a00c7e8125c81414e1952ea6807">More...</a><br /></td></tr>
<tr class="separator:a89cf1a00c7e8125c81414e1952ea6807"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a82c17e2d3e84212071c60ebd5f595"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Gui.html#a63a82c17e2d3e84212071c60ebd5f595">saveWidgetsToStream</a> (std::stringstream &amp;stream)</td></tr>
<tr class="memdesc:a63a82c17e2d3e84212071c60ebd5f595"><td class="mdescLeft">&#160;</td><td class="mdescRight">Save this the child widgets to a text file.  <a href="#a63a82c17e2d3e84212071c60ebd5f595">More...</a><br /></td></tr>
<tr class="separator:a63a82c17e2d3e84212071c60ebd5f595"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a50f9bf863bc443a6ae8add6e7a8ec7c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Gui::Gui </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default constructor. </p>
<p>If you use this constructor then you will still have to call the setWindow yourself. </p>

</div>
</div>
<a class="anchor" id="abf97d08aeedabec1fb61a01f87b6fa14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Gui::Gui </td>
          <td>(</td>
          <td class="paramtype">sf::RenderWindow &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct the gui and set the window on which the gui should be drawn. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The sfml window that will be used by the gui.</td></tr>
  </table>
  </dd>
</dl>
<p>If you use this constructor then you will no longer have to call setWindow yourself. </p>

</div>
</div>
<a class="anchor" id="aa555f782ab60f3d521775688f8b23c14"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">tgui::Gui::Gui </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct the gui and set the target on which the gui should be drawn. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The render target that will be used by the gui.</td></tr>
  </table>
  </dd>
</dl>
<p>If you use this constructor then you will no longer have to call setWindow yourself. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa5148777e159aed6d08dca0602cf79da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::add </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;&#160;</td>
          <td class="paramname"><em>widgetPtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>widgetName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a widget to the container. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widgetPtr</td><td>Pointer to the widget you would like to add </td></tr>
    <tr><td class="paramname">widgetName</td><td>If you want to access the widget later then you must do this with this name</td></tr>
  </table>
  </dd>
</dl>
<p>Usage example: </p><div class="fragment"><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic(container); <span class="comment">// Create a picture and add it to the container</span></div><div class="line">container.remove(pic);             <span class="comment">// Remove the picture from the container</span></div><div class="line">container.add(pic);                <span class="comment">// Add the picture to the container again</span></div></div><!-- fragment --><dl class="section warning"><dt>Warning</dt><dd>The widget name should not contain whitespace. </dd></dl>

</div>
</div>
<a class="anchor" id="aae7143950d0a28701f52a837a3377686"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::focusNextWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Focuses the next widget. </p>
<p>The currently focused widget will be unfocused, even if it was the only widget. When no widget was focused, the first widget in the container will be focused. </p>

</div>
</div>
<a class="anchor" id="aca075164dc3b0d376de6759c3a4ba70d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::focusPreviousWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Focuses the previous widget. </p>
<p>The currently focused widget will be unfocused, even if it was the only widget. When no widget was focused, the last widget in the container will be focused. </p>

</div>
</div>
<a class="anchor" id="a7256b8805756720f8ca7105b48e243fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::focusWidget </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;&#160;</td>
          <td class="paramname"><em>widget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Focuses a widget. </p>
<p>The previously focused widget will be unfocused.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>The widget that has to be focused. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a81bc7a04400ef54b1610604de7032fbc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Gui::get </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>widgetName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a pointer to an earlier created widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widgetName</td><td>The name that was given to the widget when it was added to the container. </td></tr>
    <tr><td class="paramname">recursive</td><td>Should the function also search for widgets inside containers that are inside this container?</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the earlier created widget</dd></dl>
<dl class="section warning"><dt>Warning</dt><dd>This function will return nullptr when an unknown widget name was passed.</dd></dl>
<p>Usage example: </p><div class="fragment"><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic(container, <span class="stringliteral">&quot;picName&quot;</span>);</div><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic2 = container.get(<span class="stringliteral">&quot;picName&quot;</span>);</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a09adca672824a85fc8d8e39daae23438"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T::Ptr tgui::Gui::get </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>widgetName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>recursive</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a pointer to an earlier created widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widgetName</td><td>The name that was given to the widget when it was added to the container. </td></tr>
    <tr><td class="paramname">recursive</td><td>Should the function also search for widgets inside containers that are inside this container?</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the earlier created widget. The pointer will already be casted to the desired type.</dd></dl>
<dl class="section warning"><dt>Warning</dt><dd>This function will return nullptr when an unknown widget name was passed.</dd></dl>
<p>Usage example: </p><div class="fragment"><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic(container, <span class="stringliteral">&quot;picName&quot;</span>);</div><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic2 = container.get&lt;<a class="code" href="classtgui_1_1Picture.html">tgui::Picture</a>&gt;(<span class="stringliteral">&quot;picName&quot;</span>);</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a7cc9222250b244d4f22b431029fb2c3b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GuiContainer::Ptr tgui::Gui::getContainer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the internal container of the <a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a>. </p>
<p>This could be useful when having a function that should accept both the gui and e.g. a child window as parameter.</p>
<dl class="section warning"><dt>Warning</dt><dd>Not all functions in the <a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> class make sense for the <a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> (which is the reason that the <a class="el" href="classtgui_1_1Gui.html" title="Gui class. ">Gui</a> does not inherit from <a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a>). So calling some functions (e.g. setSize) will have no effect.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Reference to the internal <a class="el" href="classtgui_1_1Container.html" title="Container widget. ">Container</a> class </dd></dl>

</div>
</div>
<a class="anchor" id="a01c60c6456474c790f8178cd9a0a0a14"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;sf::Font&gt; tgui::Gui::getFont </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the global font. </p>
<dl class="section return"><dt>Returns</dt><dd>global font </dd></dl>

</div>
</div>
<a class="anchor" id="a495d7039a1e13a37e2c6f5965dee8953"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::Gui::getOpacity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the opacity of all the widgets. </p>
<dl class="section return"><dt>Returns</dt><dd>The opacity of the widgets. 0 means completely transparent, while 1 (default) means fully opaque. </dd></dl>

</div>
</div>
<a class="anchor" id="a8c2146e3f595e0b7292e0e73988458cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sf::Vector2f tgui::Gui::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the size of the container. </p>
<dl class="section return"><dt>Returns</dt><dd>Size of the container.</dd></dl>
<p>This size will equal the size of the window. </p>

</div>
</div>
<a class="anchor" id="a3236260f92852e7aec64053cbbe48a5e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const sf::View&amp; tgui::Gui::getView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the view that is currently used by the gui. </p>
<dl class="section return"><dt>Returns</dt><dd>Currently set view </dd></dl>

</div>
</div>
<a class="anchor" id="aef2d8ef0c4b04bcc4af83d0a4515dc56"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string tgui::Gui::getWidgetName </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;&#160;</td>
          <td class="paramname"><em>widget</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the name of a widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td><a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> of which the name should be retrieved</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Name of the widget or an empty string when the widget didn't exist or wasn't given a name </dd></dl>

</div>
</div>
<a class="anchor" id="ab8995a6274ed0a09bb8f42a11dc06abd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;sf::String&gt;&amp; tgui::Gui::getWidgetNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a list of the names of all the widgets. </p>
<dl class="section return"><dt>Returns</dt><dd>Vector of all widget names </dd></dl>

</div>
</div>
<a class="anchor" id="aa444668dc32aee8e867566feb74729ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt; <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &gt;&amp; tgui::Gui::getWidgets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a list of all the widgets. </p>
<dl class="section return"><dt>Returns</dt><dd>Vector of all widget pointers </dd></dl>

</div>
</div>
<a class="anchor" id="ac968ab34c19372610c1dfc362d6cbf8d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::RenderTarget* tgui::Gui::getWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the window on which the gui is being drawn. </p>
<dl class="section return"><dt>Returns</dt><dd>The sfml that is used by the gui. </dd></dl>

</div>
</div>
<a class="anchor" id="a5ed041b03290df56b6fa965363972f3d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Gui::handleEvent </td>
          <td>(</td>
          <td class="paramtype">sf::Event&#160;</td>
          <td class="paramname"><em>event</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Passes the event to the widgets. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">event</td><td>The event that was polled from the gui</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Has the event been consumed? When this function returns false, then the event was ignored by all widgets.</dd></dl>
<p>You should call this function in your event loop. </p>

</div>
</div>
<a class="anchor" id="ac1f254ca81fb64140e95164a17f0d6e0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::loadWidgetsFromFile </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Load the child widgets from a text file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename of the widget file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a89cf1a00c7e8125c81414e1952ea6807"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::loadWidgetsFromStream </td>
          <td>(</td>
          <td class="paramtype">std::stringstream &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Load the child widgets from a string stream. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>stringstream that contains the widget file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aefa11eac30068c5a795a0a4f6822af7d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Gui::remove </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;&#160;</td>
          <td class="paramname"><em>widget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes a single widget that was added to the container. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td>Pointer to the widget to remove</td></tr>
  </table>
  </dd>
</dl>
<p>Usage example: </p><div class="fragment"><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic(container, <span class="stringliteral">&quot;picName&quot;</span>);</div><div class="line"><a class="code" href="classtgui_1_1Picture.html#a60a2176f42504c8afc34e278b39d781b">tgui::Picture::Ptr</a> pic2(container, <span class="stringliteral">&quot;picName2&quot;</span>);</div><div class="line">container.remove(pic);</div><div class="line">container.remove(container.get(<span class="stringliteral">&quot;picName2&quot;</span>));</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a6e99d5535db1148727f075046dd08fdb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::saveWidgetsToFile </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Save the child widgets to a text file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename of the widget file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63a82c17e2d3e84212071c60ebd5f595"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::saveWidgetsToStream </td>
          <td>(</td>
          <td class="paramtype">std::stringstream &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Save this the child widgets to a text file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>stringstream to which the widget file will be added </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4d523a7652ffa674c0c13ae967dba076"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::setFont </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the global font. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td><a class="el" href="classtgui_1_1Font.html">Font</a> to use </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a66acac9b2665c9f8fc2e7824d10deb41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::setOpacity </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>opacity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the opacity of all widgets. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">opacity</td><td>The opacity of the widgets. 0 means completely transparent, while 1 (default) means fully opaque. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac7ed139560029cc70925480927f88080"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::setView </td>
          <td>(</td>
          <td class="paramtype">const sf::View &amp;&#160;</td>
          <td class="paramname"><em>view</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the view that is used by the gui. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">view</td><td>The new view </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7a4d61aad8239596e2170bc24520ab50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Gui::setWidgetName </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> &amp;&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the name of a widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">widget</td><td><a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> of which the name should be changed </td></tr>
    <tr><td class="paramname">name</td><td>New name for the widget</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True when the name was changed, false when the widget wasn't part of this container. </dd></dl>

</div>
</div>
<a class="anchor" id="a118ec1b31e08afff8515b3bdd68e48f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::setWindow </td>
          <td>(</td>
          <td class="paramtype">sf::RenderWindow &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the window on which the gui should be drawn. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The sfml window that will be used by the gui. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0d46c749e4265e60e3c39c819dea8892"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Gui::setWindow </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the target on which the gui should be drawn. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">window</td><td>The render target that will be used by the gui. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/<a class="el" href="Gui_8hpp_source.html">Gui.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
